Foreman - Bug #15223

Resolving templates to provision a discovered host fails
05/29/2016 09:44 AM - Esa Varemo

Status: Closed
Priority: Normal
Assignee: Ohad Levy
Category: Host creation
Target version: 1.11.3
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.11.2
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3555
Description

How to reproduce:

1. Hosts -> Discovered hosts -> provision a host.
2. Fill in information
3. Click 'Provisioning templates: Resolve'

Result:
Message: Sorry but no templates were configured.

production.log:

2016-05-29 13:45:35 [app] [I] Started POST "/hosts/template_used?id=47?provisioning=build" for 192

.168.0.8 at 2016-05-29 13:45:35 +0300

2016-05-29 13:45:35 [app] [I] Processing by HostsController#template_used as */*

2016-05-29 13:45:35 [app] I[I] Parameters: {"utf8"=>"0", "authenticity_token"=>"6Sgh5Wb3Q3/wnVgmU

S1cnF5ZEnXVRSX/xKL6Nr6ny3s=", "host"=>{"name"=>"mac525400445167", "hostgroup_id"=>"2", "environmen

t_id"=>"1", "puppet_ca_proxy_id"=>"1", "puppet_proxy_id"=>"1", "config_group_ids"=>[""], "puppetcl

ass_ids"=>[""], "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "i

nterfaces_attributes"=>{"0"=>{"_destroy"=>"0", "mac"=>"52:54:00:44:51:67", "identifier"=>"ethO", "

name"=>"mac525400445167", "domain_id"=>"1", "subnet_id"=>"", "ip"=>"192.168.5.143", "managed"=>"1"
"primary"=>"1", "provision"=>"1", "tag"=>"", "attached_to"=>"", "id"=>"784"}, "new_interfaces"=>

{"_destroy"=>"1", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"", "domain_id"=>""

, "subnet_id"=>"", "ip"=>"", "managed"=>"1", "primary"=>"0", "provision"=>"0", "virtual"=>"0", "ta

g"=>"", "attached_to"=>""}}, "architecture_id"=>"1", "operatingsystem_id"=>"6", "build"=>"1", "med

ium_id"=>"8", "ptable_id"=>"53", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"4-Users",

"enabled"=>"1", "model_id"=>"1", "comment"=>"", "overwrite"=>"false"}, "fakepassword"=>"[FILTERED]

", "bare_metal_capabilities"=>"build", "id"=>"47?provisioning=build"}

2016-05-29 13:45:35 [app] [D] Setting current user thread-local variable to esa

2016-05-29 13:45:35 [app] [D] Setting current organization thread-local variable to Koti

2016-05-29 13:45:35 [app] I[D] not found: Couldn't find Host::Managed with 'id'=47?provisioning=bui

1d [WHERE "hosts"."type" IN ('Host::Managed') AND "hosts"."organization_id" IN (1)]

2016-05-29 13:45:35 [app] [I] Rendered common/404.html.erb within layouts/application (4.6ms)

2016-05-29 13:45:35 [app] [I] Rendered layouts/_application_content.html.erb (1.0ms)

2016-05-29 13:45:35 [app] [I] Rendered layouts/base.html.erb (3.5ms)

2016-05-29 13:45:35 [app] [I] Completed 404 Not Found in 50ms (Views: 13.5ms | ActiveRecord: 5.7ms

)

Related issues:
Related to Foreman - Bug #15363: Resolving OS templates for new host raises r... Closed 06/09/2016
Related to Discovery - Bug #15548: Cant resolve templates - Sorry but no temp... Closed 06/30/2016

Associated revisions

Revision ad2ee956 - 05/30/2016 10:01 AM - Ohad Levy

05/18/2024 12




fixes #15223 - query parameters are now correct.

before this patch, there were two query

parameters (/hosts/template_used?id=47?provisioning=build).
since the view always prepand the hosts ID parameter, it is safe
to assume the URL always contain a leading parameter (e.g.
/hosts/template_used?id=47).

Revision dc951257 - 06/21/2016 07:29 AM - Ohad Levy

fixes #15223 - query parameters are now correct.

before this patch, there were two query

parameters (/hosts/template_used?id=47?provisioning=build).
since the view always prepand the hosts ID parameter, it is safe

to assume the URL always contain a leading parameter (e.g.
/hosts/template_used?id=47).

(cherry picked from commit ad2ee95611dcc2dcd6ai163b95a6e4e12b0394b3)

History

#1 - 05/29/2016 09:48 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ohad Levy

- Pull request https://github.com/theforeman/foreman/pull/3555 added

#2 - 05/30/2016 11:02 AM - Ohad Levy
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset ad2ee95611dcc2dcd6al163b95a6e4e12b0394b3.

#3 - 05/31/2016 04:09 AM - Dominic Cleal
- Category set to Host creation

- translation missing: en.field_release set to 159

#4 - 06/09/2016 08:20 AM - Dominic Cleal

- Related to Bug #15363: Resolving OS templates for new host raises routing error from invalid URI added

#5 - 06/09/2016 08:20 AM - Dominic Cleal

- translation missing: en.field_release changed from 159 to 160

#6 - 06/10/2016 09:12 AM - Dominic Cleal

- translation missing: en.field_release changed from 160 to 136

Already in RC1.

#7 - 06/21/2016 03:18 AM - Dominic Cleal

- translation missing: en.field_release changed from 136 to 159

Regression fixed, moving back to original release.

#8 - 06/30/2016 05:55 AM - Dave Johnston

- Related to Bug #15548: Cant resolve templates - Sorry but no templates were configured added
